Package pyplusplus :: Package decl_wrappers :: Module indexing_suite2

# Module indexing_suite2

source code

defines interface for exposing STD containers, using next version of indexing suite

Classes
indexing_suite2_t This class helps user to export STD containers, using Boost.Python indexing suite V2.

Variables
| containers = ``{``'``deque``'``:` `'``boost/python/suite/indexing/deque.hpp``'``...``

Variables Details

### containers

Value:

      {'deque': 'boost/python/suite/indexing/deque.hpp',
       'hash_map': 'boost/python/suite/indexing/map.hpp',
       'hash_set': 'boost/python/suite/indexing/set.hpp',
       'list': 'boost/python/suite/indexing/list.hpp',
       'map': 'boost/python/suite/indexing/map.hpp',
       'multimap': 'boost/python/suite/indexing/multimap.hpp',
       'set': 'boost/python/suite/indexing/set.hpp',
       'vector': 'boost/python/suite/indexing/vector.hpp'}